---
title: "base"

description: "This is an Helm-Chart which creates an overlaye to connect / install multiple flux-charts / components (and use the helm values for it)"

---

# base

![Version: 0.2.1](https://img.shields.io/badge/Version-0.2.1-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square)

This is an Helm-Chart which creates an overlaye to connect / install multiple flux-charts / components (and use the helm values for it)

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| WrenIX |  | <https://wrenix.eu> |

## Values

### Base

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| base.helm.release.driftDetection | object | `{}` | driftDetection of FluxCD HelmRelease |
| base.helm.release.install | object | `{}` | install of FluxCD HelmRelease |
| base.helm.release.interval | string | `"10m"` | interval of FluxCD HelmRelease |
| base.helm.release.test | object | `{}` | test of FluxCD HelmRelease |
| base.helm.release.upgrade | object | `{}` | upgrade of FluxCD HelmRelease |
| base.helm.release.valuesFrom | list | `[]` | valuesFrom for every components (for use values from ConfigMap or Secret) |
| base.helm.repo.interval | string | `"10m"` | interval of FluxCD Repository |
| base.helm.repo.namespace | string | `nil` | namespace, where the GitRepo resource is installed (maybe needed together with secretRef) |
| base.helm.repo.ref | object | `{"branch":"main"}` | default ref (if no branch is set - maybe overwritten by semver or so) |
| base.helm.repo.secretRef | string | `nil` | secret to get access to the git-repo |
| base.helm.repo.url | string | `"https://codeberg.org/wrenix/flux-charts.git"` | git repo where all components are stored |
| base.helm.repo.verify | string | `nil` | secret to get access to the git-repo |
| base.namespace.labels | object | `{}` | labels for every new created namespace (together or overwritten by components.<component-release-name.namespace.labels) |

### Shared Values - between all components

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons | object | `{}` | commons are values which are additional |
| global | object | `{}` | global are values which overwrite values global |

### A Component

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| components.<component-release-name>.enabled | bool | `false` | enable component-release to install |
| components.<component-release-name>.name | string | `nil` | optional component-name (if not set component-release-name is used as component-name) |
| components.<component-release-name>.namespace.labels | object | `{}` | if create a new namespace use labels (and the common namespace.labels) |
| components.<component-release-name>.namespace.name | string | `nil` | if not set, it reuse namespace where this base-chart is deployed |
| components.<component-release-name>.namespace.skip_create | bool | `false` | use the named namespace but does not create it |
| components.<component-release-name>.values | object | `{}` | set values on component-release |
| components.<component-release-name>.valuesFrom | list | `[]` | valuesFrom just for this component (for use values from ConfigMap or Secret) |

Autogenerated from chart metadata using [helm-docs](https://github.com/norwoodj/helm-docs)

