---
title: "infra-monitoring"

description: "Install all monitoring related"

---

# infra-monitoring

![Version: 0.1.0](https://img.shields.io/badge/Version-0.1.0-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square)

Install all monitoring related

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| WrenIX |  | <https://wrenix.eu> |

## Values

### Commons helm release

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.helm.release.driftDetection | object | `{}` | driftDetection of FluxCD HelmRelease |
| commons.helm.release.install | object | `{}` | install of FluxCD HelmRelease |
| commons.helm.release.test | object | `{}` | test of FluxCD HelmRelease |
| commons.helm.release.upgrade | object | `{}` | upgrade of FluxCD HelmRelease |

### Commons Ingress

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.ingress.annotations | object | `{"cert-manager.io/cluster-issuer":"letsencrypt-prod"}` | annotations for all ingress objects |
| commons.ingress.domain | string | `"wrenix.eu"` | top domain for all services |
| commons.ingress.tls.enabled | bool | `false` | tls on every ingress |
| commons.ingress.tls.override | list | `[]` | use own definition of tls (e.g. for own or wildcard certificate) |

### Commons

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.masterPassword | string | `"CHANGEME"` | masterPassword to generate secrets |

### Commons Monitoring

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.prometheus.monitor.labels | object | `{}` | labels on Pod- and Service-Monitor |

### Other Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| alertmanager.auth.anonymous.enabled | bool | `false` |  |
| alertmanager.ingress.annotations | object | `{}` | annotations on ingress object (beside of .Values.commons.ingress.annotations ) |
| alertmanager.ingress.enabled | bool | `true` |  |
| alertmanager.ingress.host | string | `""` |  |
| alertmanager.inhibitRules | list | `[]` | additional inhibitRules |
| alertmanager.receiver.customs | object | `{}` | customs |
| alertmanager.receiver.matrix.default | string | `"!example-room:matrix.org"` |  |
| alertmanager.receiver.matrix.enabled | bool | `false` |  |
| alertmanager.receiver.matrix.homeserver | string | `"https://matrix.org"` |  |
| alertmanager.receiver.matrix.rooms | object | `{}` |  |
| alertmanager.receiver.matrix.sendResolved | bool | `false` |  |
| alertmanager.receiver.matrix.token | string | `""` | token of matrix reciever (use valuesFrom in flux for it) |
| alertmanager.receiver.matrix.userID | string | `"@alert:matrix.org"` |  |
| alertmanager.receiver.ntfy.config.labels | object | `{"entries":[{"label":"severity","priority":4,"tags":["rotating_light"],"value":"critical"},{"label":"severity","priority":3,"tags":["warning"],"value":"warning"},{"label":"severity","priority":1,"tags":["information_source"],"value":"info"}],"order":["severity"]}` | label of alert to ntfy message config |
| alertmanager.receiver.ntfy.config.ntfy.topic | string | `"https://ntfy.wrenix.eu/alertmanager-example"` |  |
| alertmanager.receiver.ntfy.config.password | string | `nil` | password used between alertmanager and ntfy reciever generated from commons.masterPassword |
| alertmanager.receiver.ntfy.config.user | string | `"alertmanager-to-ntfy"` | user used between alertmanager and ntfy receiver |
| alertmanager.receiver.ntfy.enabled | bool | `false` |  |
| alertmanager.receiver.ntfy.ingress.annotations | object | `{}` | annotations on ingress object (beside of .Values.commons.ingress.annotations ) |
| alertmanager.receiver.ntfy.ingress.enabled | bool | `false` |  |
| alertmanager.receiver.ntfy.ingress.host | string | `nil` |  |
| alertmanager.receiver.ntfy.sendResolved | bool | `false` |  |
| alertmanager.route.groupBy | list | `["namespace","alertname"]` | groupBy |
| alertmanager.route.repeatInterval | string | `"24h"` | repeat Interval |
| alertmanager.route.routes | list | `[]` | would overwrite defaults (like ntfy or matrix)  # send every alert to ntfy  # (and continue to routing for that alert)  - receiver: "ntfy-default"    continue: true  # send selected alerts to special matrix room  # (and remove them for evaluation - no continue)  - receiver: "matrix-room-name"    matchers:      - name: "team"        matchType: "="        value: "room-name"  # all reminig alerts to matrix default room  - receiver: "matrix-default" |
| commons.auth.authentik.backend | string | `"authentik-server"` |  |
| commons.auth.authentik.domain | string | `""` |  |
| commons.auth.enabled | bool | `false` |  |
| commons.auth.namespace | string | `""` |  |
| commons.auth.type | string | `"authentik"` |  |
| grafana.adminPassword | string | `nil` | generated from commons.masterPassword |
| grafana.auth.anonymous.enabled | bool | `true` |  |
| grafana.auth.authentik.clientID | string | `nil` | generated from commons.masterPassword |
| grafana.auth.authentik.clientSecret | string | `nil` | generated from commons.masterPassword |
| grafana.auth.enabled | bool | `false` |  |
| grafana.dashboards.annotations."grafana.mon.local/dashboard-folder" | string | `"Kubernetes"` |  |
| grafana.dashboards.folderAnnotation | string | `"grafana.mon.local/dashboard-folder"` |  |
| grafana.ingress.annotations | object | `{}` | annotations on ingress object (beside of .Values.commons.ingress.annotations ) |
| grafana.ingress.enabled | bool | `true` |  |
| grafana.ingress.host | string | `""` |  |
| init.namespace | string | `"bases"` |  |
| init.version | int | `0` |  |
| karma.additionalAlertmanager | string | `nil` |  |
| karma.auth.anonymous.enabled | bool | `false` |  |
| karma.enabled | bool | `true` |  |
| karma.filters.default[0] | string | `"@state=active"` |  |
| karma.ingress.annotations | object | `{}` | annotations on ingress object (beside of .Values.commons.ingress.annotations ) |
| karma.ingress.enabled | bool | `true` |  |
| karma.ingress.host | string | `""` |  |
| prometheus.auth.anonymous.enabled | bool | `false` |  |
| prometheus.exporter.blackbox.enabled | bool | `true` |  |
| prometheus.exporter.blackbox.hostNetwork | bool | `false` |  |
| prometheus.exporter.blackbox.ingress.annotations | object | `{}` | annotations on ingress object (beside of .Values.commons.ingress.annotations ) |
| prometheus.exporter.blackbox.ingress.enabled | bool | `false` | enable ingress for blackbox-exporter |
| prometheus.exporter.blackbox.ingress.host | string | `""` | default use .Values.commons.ingress.host with prefix: `blackbox.exporter` |
| prometheus.ingress.annotations | object | `{}` | annotations on ingress object (beside of .Values.commons.ingress.annotations ) |
| prometheus.ingress.enabled | bool | `true` |  |
| prometheus.ingress.host | string | `""` |  |
| tempo.enabled | bool | `false` |  |

Autogenerated from chart metadata using [helm-docs](https://github.com/norwoodj/helm-docs)
