---
title: "mycloud-nextcloud"

description: "myCloud component to setup nextcloud"

---

# mycloud-nextcloud

![Version: 0.1.1](https://img.shields.io/badge/Version-0.1.1-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square)

myCloud component to setup nextcloud

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| WrenIX |  | <https://wrenix.eu> |

## Values

### Commons

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.auth.host | string | `nil` | default auth.(.Values.commons.ingress.domain) |
| commons.masterPassword | string | `"CHANGEME"` | masterPassword to generate secrets |

### Commons helm release

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.helm.release.driftDetection | object | `{}` | driftDetection of FluxCD HelmRelease |
| commons.helm.release.install | object | `{}` | install of FluxCD HelmRelease |
| commons.helm.release.test | object | `{}` | test of FluxCD HelmRelease |
| commons.helm.release.upgrade | object | `{}` | upgrade of FluxCD HelmRelease |

### Commons Ingress

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.ingress.annotations | object | `{"cert-manager.io/cluster-issuer":"letsencrypt-prod"}` | annotations for all ingress objects |
| commons.ingress.domain | string | `"wrenix.eu"` | top domain for all services |
| commons.ingress.tls.enabled | bool | `true` | tls on every ingress |
| commons.ingress.tls.override | list | `[]` | use own definition of tls (e.g. for own or wildcard certificate) |

### Commons mail

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.mail.from | string | `nil` | send from address |
| commons.mail.host | string | `nil` | smtp server |
| commons.mail.password | string | `nil` | smtp password |
| commons.mail.use_ssl | bool | `false` | smtp server use ssl |
| commons.mail.use_tls | bool | `false` | smtp server use start tls |
| commons.mail.username | string | `nil` | smtp username |

### Commons Persistence

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.persistence.hostPath.enabled | bool | `false` | use hostPath instatt of PVC |
| commons.persistence.hostPath.prefix | string | `"/var/lib/mycloud"` | use hostPath under the following path |
| commons.persistence.storageClass | string | `nil` | storageClass of PVC |

### Commons Monitoring

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.prometheus.monitor.labels | object | `{}` | labels on Pod- and Service-Monitor |
| commons.prometheus.rules.labels | object | `{}` | labels on PrometheusRules |

### Commons Redis

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.redis.replicas | int | `0` | replicas |

### Commons theme

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.theme.favicon | string | `"/static/dist/assets/icons/icon.png"` | favicon everywhere |
| commons.theme.logo | string | `"/static/dist/assets/icons/icon_left_brand.svg"` | logo everywhere |
| commons.theme.title | string | `"myCloud"` | title everywhere |

### Other Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| adminPassword | string | `nil` | generated by .Values.commons.masterPassword |
| apps.calendar.enabled | bool | `true` |  |
| apps.checksum.enabled | bool | `true` |  |
| apps.contacts.enabled | bool | `true` |  |
| apps.dashboard.enabled | bool | `false` |  |
| apps.deck.enabled | bool | `true` |  |
| apps.firstrunwizard.enabled | bool | `false` |  |
| apps.memories.enabled | bool | `false` |  |
| apps.notes.enabled | bool | `true` |  |
| apps.richdocuments.config.wopi_url | string | `nil` |  |
| apps.richdocuments.enabled | bool | `false` |  |
| auth.clientID | string | `nil` | generated by .Values.commons.masterPassword |
| auth.clientSecret | string | `nil` | generated by .Values.commons.masterPassword |
| auth.idMapping | string | `"sub"` | oidc field which us used as id in nextcloud for username (for security reason it is sub, but could be overwritten by username) https://goauthentik.io/integrations/services/nextcloud/#provider-and-application |
| chart.ref | object | `{"branch":"main"}` | for default set: null |
| chart.url | string | `"https://github.com/wrenix/nextcloud-helm.git"` | for default set: https://nextcloud.github.io/helm/ |
| commons.networkpolicies.enabled | bool | `false` |  |
| commons.networkpolicies.from.ingress | list | `[]` |  |
| commons.networkpolicies.from.metrics | list | `[]` |  |
| commons.networkpolicies.to.dns | list | `[]` |  |
| config | object | `{}` |  |
| database.host | string | `"mycloud-services-postgresql"` | default is from mysql-services |
| database.name | string | `"nextcloud"` |  |
| database.password | string | `nil` | generated by .Values.commons.masterPassword (equal to mycloud-services) |
| database.username | string | `"nextcloud"` |  |
| default.language | string | `"en"` |  |
| default.maintenanceWindowStart | int | `1` |  |
| default.phoneRegion | string | `"GB"` |  |
| imaginary.enabled | bool | `true` |  |
| ingress.annotations | string | `nil` |  |
| ingress.host | string | `nil` | default: fs.(Values.commons.ingress.domain) |
| init.namespace | string | `"bases"` |  |
| init.version | int | `0` |  |
| limits.memory | string | `"512M"` |  |
| limits.upload | string | `"2G"` |  |
| mail.authtype | string | `"PLAIN"` |  |
| mail.from | string | `nil` | generade by Values.commons.mail.from |
| mail.host | string | `nil` | default Values.commons.mail.host |
| persistence.data.pvc | string | `"nextcloud-data"` |  |
| persistence.data.size | string | `"16Gi"` |  |
| persistence.main.pvc | string | `"nextcloud"` |  |
| persistence.main.size | string | `"8Gi"` |  |
| quota | string | `nil` | default quota for an user |
| replica.nextcliud | int | `1` |  |
| theme.color | string | `nil` | set theme color in nextcloud |

Autogenerated from chart metadata using [helm-docs](https://github.com/norwoodj/helm-docs)
