---
title: "mycloud-services"

description: "A Helm chart for Kubernetes"

---

# mycloud-services

![Version: 0.1.1](https://img.shields.io/badge/Version-0.1.1-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square)

A Helm chart for Kubernetes

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| WrenIX |  | <https://wrenix.eu> |

## Values

### Commons Monitoring

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.grafana.dashboards.annotations | object | `{}` | annotations of grafana dashboard configmap |
| commons.grafana.dashboards.labels | object | `{}` | labels of grafana dashboard configmap |
| commons.prometheus.monitor.labels | object | `{}` | labels on Pod- and Service-Monitor |
| commons.prometheus.rules.labels | object | `{}` | labels on PrometheusRules |

### Commons helm release

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.helm.release.driftDetection | object | `{}` | driftDetection of FluxCD HelmRelease |
| commons.helm.release.install | object | `{}` | install of FluxCD HelmRelease |
| commons.helm.release.test | object | `{}` | test of FluxCD HelmRelease |
| commons.helm.release.upgrade | object | `{}` | upgrade of FluxCD HelmRelease |

### Commons

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.masterPassword | string | `"CHANGEME"` | masterPassword to generate secrets |

### Commons Persistence

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.persistence.hostPath.enabled | bool | `false` | use hostPath instatt of PVC |
| commons.persistence.hostPath.prefix | string | `"/var/lib/mycloud"` | use hostPath under the following path |
| commons.persistence.storageClass | string | `nil` | storageClass of PVC |

### Other Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| databases | object | `{"example":{"additionalParams":null,"password":null,"type":"none","username":"example-password"}}` | create databases |
| databases.example.additionalParams | string | `nil` | additional params for databases |
| databases.example.password | string | `nil` | if not set generated by .Values.commons.masterPassword and databasename |
| databases.example.type | string | `"none"` | database type (current only "postgresql" is supported) |
| databases.example.username | string | `"example-password"` | username default like database |
| postgresql.password | string | `nil` | root |
| postgresql.persistence.size | string | `"10G"` |  |
| postgresql.persistence.storageClass | string | `nil` |  |

Autogenerated from chart metadata using [helm-docs](https://github.com/norwoodj/helm-docs)
